커뮤니티 검색
curl --request GET \
--url https://api.x.com/2/communities/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/communities/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/communities/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1146654567674912769",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"next_token": "<string>"
}
}{
"code": 123,
"message": "<string>"
}커뮤니티 검색
커뮤니티 검색
지정한 검색 쿼리와 일치하는 커뮤니티 목록을 조회합니다.
GET
/
2
/
communities
/
search
커뮤니티 검색
인증
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
쿼리 매개변수
커뮤니티를 검색하기 위한 쿼리입니다.
Required string length:
1 - 4096예시:
"Love"
요청에서 반환할 수 있는 검색 결과의 최대 개수입니다.
필수 범위:
10 <= x <= 100이 매개변수는 다음 ‘페이지’의 결과를 가져오는 데 사용됩니다. 이 매개변수에 사용하는 값은 API 응답에서 그대로 가져와야 하며, 수정해서는 안 됩니다. 다음을 가리키는 토큰입니다.
Minimum string length:
1이 매개변수는 다음 ‘페이지’의 결과를 가져오는 데 사용됩니다. 이 매개변수에는 API 응답에서 제공된 값을 그대로 사용해야 하며, 수정해서는 안 됩니다. 다음을 가리키는 토큰입니다.
Minimum string length:
1표시할 Community 필드를 쉼표로 구분한 목록입니다. Community 객체에서 요청할 수 있는 필드입니다.
Minimum array length:
1사용 가능한 옵션:
access, created_at, description, id, join_policy, member_count, name 예시:
[
"access",
"created_at",
"description",
"id",
"join_policy",
"member_count",
"name"
]
응답
요청이 성공했습니다.
Minimum array length:
1Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes